Litchi supported devices as of 01/22/2018

Joined
Jan 25, 2017
Messages
72
Reaction score
28
Location
DENVER
I asked them if they supported a Note 4. Below is the response.
JAN 22, 2018 | 05:57PM UTC
Litchi replied:

Hi,
This mobile device won’t be powerful enough to run Litchi’s latest version correctly.

For Android, our recommended devices are: Nvidia Shield K1, Google Pixel/Pixel XL, Samsung Galaxy S7/S7Edge/S8/S8+/Note 5, Huawei MediaPad M3 8.4inch.
For iOS, our recommended devices are: iPad mini 4, iPad 2017, iPad Air 2, iPad Pro, iPhone 6s, iPhone 6s+, iPhone 7, iPhone 7+, iPhone 8, iPhone 8+, iPhone X.

Kind Regards,
Litchi
Online help at Help - Litchi
 
  • Like
Reactions: Jim Canada

Fly Dawg

"Electricity is really just organized lightning"
Premium Pilot
Joined
Apr 29, 2016
Messages
4,659
Reaction score
2,077
Location
Watkinsville, Georgia
Don't count that as 100% accurate. There are many more that work with the new Litchi version just fine. Mine included------ Samsung Galaxy TabS2.
 
Joined
Jan 25, 2017
Messages
72
Reaction score
28
Location
DENVER
Maybe yours works for a while or forever, but don't complain if it suddenly doesn't and you crash your bird. Choosing to ignore the developers list of approved devices voids your right to complain and get support when it fails.
As a software developer myself one of my biggest pet peeves is when I tell everyone in my release notes what will and will not work, and then when it doesn't work I get complaints about how this software sucks because it does exactly what I told them it would or would not do.
Fly at your own risk and no whining is the bottom line when you ignore it.
 

Fly Dawg

"Electricity is really just organized lightning"
Premium Pilot
Joined
Apr 29, 2016
Messages
4,659
Reaction score
2,077
Location
Watkinsville, Georgia
Choosing to ignore the developers list of approved devices voids your right to complain and get support when it fails.
Ignoring the list was never stated. And from my experience "Recommended" devices do not always work either, especially with Android. I was merely stating the fact that the "Recommended" list is not always perfect nor is it particularly accurate.
 
Joined
May 19, 2015
Messages
374
Reaction score
139
Age
62
My Sony works fine.. so far. But I'd be pretty annoyed if I had to upgrade phones too often just to keep up with software.
 
Joined
Jun 4, 2018
Messages
28
Reaction score
0
Age
55
Did it work forma tour note 4?
I am having teouble installing 4.10.0

Thanks


I asked them if they supported a Note 4. Below is the response.
JAN 22, 2018 | 05:57PM UTC
Litchi replied:

Hi,
This mobile device won’t be powerful enough to run Litchi’s latest version correctly.

For Android, our recommended devices are: Nvidia Shield K1, Google Pixel/Pixel XL, Samsung Galaxy S7/S7Edge/S8/S8+/Note 5, Huawei MediaPad M3 8.4inch.
For iOS, our recommended devices are: iPad mini 4, iPad 2017, iPad Air 2, iPad Pro, iPhone 6s, iPhone 6s+, iPhone 7, iPhone 7+, iPhone 8, iPhone 8+, iPhone X.

Kind Regards,
Litchi
Online help at Help - Litchi
 

New Threads

Members online

Forum statistics

Threads
141,857
Messages
1,458,752
Members
103,644
Latest member
Jennielaw137